services:
  telnowedge_third_party_call_control_logger:
    class: Symfony\Bridge\Monolog\Logger
    factory: 'Telnowedge\BaseBundle\Logger\Logger::getLoggerFactory'
    arguments:
      $logger: '@logger'
    tags:
      - {name: monolog.logger, channel: telnowedge_third_party_call_control}

  Telnowedge\ThirdPartyCallControlBundle\Provider\AbstractProvider:
    abstract: true
    arguments:
      $config: '%telnowedge_third_party_call_control.config%'

  Telnowedge\ThirdPartyCallControlBundle\Provider\ZizanixProvider:
    parent: Telnowedge\ThirdPartyCallControlBundle\Provider\AbstractProvider
    calls:
      - method: setManager
        arguments:
          $manager: '@Telnowedge\ThirdPartyCallControlBundle\Manager\ZizanixManager'

  Telnowedge\ThirdPartyCallControlBundle\Manager\AbstractManager:
    abstract: true

  Telnowedge\ThirdPartyCallControlBundle\Manager\ZizanixManager:
    parent: Telnowedge\ThirdPartyCallControlBundle\Manager\AbstractManager
    calls:
      - method: setProvider
        arguments:
          $provider: '@Telnowedge\ThirdPartyCallControlBundle\Provider\ZizanixProvider'
